Package org.zkoss.zk.xel

## Class Evaluators

- java.lang.Object
- - org.zkoss.zk.xel.Evaluators

-     public class Evaluators
      extends java.lang.Object

  Utilities of evaluation.
  Since:
    3.5.0
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Evaluators()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.Object` | `evaluate​(Evaluator eval, Component comp, java.lang.String expr, java.lang.Class<?> expectedClass)` | Evaluates the specified expression (which might or might not contain ${ or #{).
    `static java.lang.Object` | `evaluate​(Evaluator eval, Page page, java.lang.String expr, java.lang.Class<?> expectedClass)` | Evaluates the specified expression (which might or might not contain ${ or #{}).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Evaluators

          public Evaluators()

  - ### Method Detail

    - #### evaluate

          public static java.lang.Object evaluate​(Evaluator eval,
                                                  Component comp,
                                                  java.lang.String expr,
                                                  java.lang.Class<?> expectedClass)

      Evaluates the specified expression (which might or might not contain ${ or #{).
      Parameters:
        `comp` - the component to represent the self variable

    - #### evaluate

          public static java.lang.Object evaluate​(Evaluator eval,
                                                  Page page,
                                                  java.lang.String expr,
                                                  java.lang.Class<?> expectedClass)

      Evaluates the specified expression (which might or might not contain ${ or #{}).
      Parameters:
        `page` - the page to represent the self variable